// definitions
#define FOCALDISTANCE 200

#define SCREEN_WIDTH 1024
#define SCREEN_HEIGHT 768

#define PSEUDOSPHERE_A 0.707106781186547524400844362104849
#define PSEUDOSPHERE_A2 0.5
#define PSEUDOSPHERE_MAX 0.9

// these are not true defines: we want to be able to modify them later so that we can change molecules dynamically.
int XFIXFACTOR=0;
int YFIXFACTOR=0;
int ZFIXFACTOR=600;



// the following came from Jerome St-Louis' site: http://pages.infinit.net/jstlouis/3dbhole/
// the basic idea is to calculate every sin/cos only once and keep them in memory.... 
// accessing memory is faster than recalculating cos' and sin's.

float SinTable[256], CosTable[256];

#define SIN(x) SinTable[ABS((int)x&255)]
#define COS(x) CosTable[ABS((int)x&255)]

void init_trigo()
{
   int i;
   for(i=0; i<256; i++)
   {
       SinTable[i]=sin(i*PI/128.0);
       CosTable[i]=cos(i*PI/128.0);
   }
}




